
#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/sys/printk.h>
#include <zephyr/drivers/i2c.h>
#include <zephyr/logging/log.h>


// #define I2C_INST0  DT_NODELABEL(ULTRASONIC)
// const struct device *const ch101_sensor = DEVICE_DT_GET(I2C_INST0);
#define I2C_INST2  DT_NODELABEL(i2c1)
const struct device *const i2c_test = DEVICE_DT_GET(I2C_INST2);

void scan_i2c_bus(const struct device *dev, int i2cbus)
{
	printk("\e[32m\e[1m|| Scanning I2C_%u bus:\e[0m\n", i2cbus);

	for (uint8_t addr = 0; addr < 128; addr++)
	{
		struct i2c_msg msg = {
				.buf = NULL,
				.len = 0,
				.flags = I2C_MSG_WRITE};

		int ret = i2c_transfer(dev, &msg, 1, addr);
		if (ret == 0)
			printk("|> Found device at address \e[31m0x%02X\e[0m\n", addr);
	}
}

void I2C_scanner()
{  
   if (!device_is_ready(i2c_test)) {
		// printk("i2c_test is not ready!");
		LOG_INF("i2c_test is not ready!");
		printk("i2c_test is not ready!");
		
	}
    else{
            scan_i2c_bus(i2c_test, 1);
			LOG_INF("CH101 Sensor Detected");
            printk("CH101 Sensor Detected");
    }   

}




