/**
  ******************************************************************************
  * @file    ultrasonic_sensor.h
  * @author  Argus Team
  * @brief   This file contains all the functions prototypes for the
  *          ultrasonic_sensor.c driver.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2024 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */

#ifndef __IMU_SENSOR_H__
#define __IMU_SENSOR_H__


/**@brief Function to initialise ch101 sensor.
 *
 * @param[out] 0 if success, error code otherwise.
 */


int ch101_init(void);
int i2c_check(void);
int custom_i2c_write(uint8_t,uint8_t *,uint8_t);


#endif